@ECHO OFF&PUSHD %~DP0 & TITLE 绿化
taskkill /f /im BaiduP*>NUL 2>NUL
regsvr32 /s Codecs\ts.dll
regsvr32 /s Codecs\ogm.dll
regsvr32 /s Codecs\avi.dll
regsvr32 /s Codecs\mkx.dll
regsvr32 /s Xbdyy.dll npxbdyyreg.dll
if not exist "%PUBLIC%" md "%AppData%\Baidu\BaiduPlayer"2>NUL
if exist "%PUBLIC%" md "%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer"2>NUL
if not exist "%PUBLIC%" copy /y lang\*.db "%AppData%\Baidu\BaiduPlayer">NUL 2>NUL
if exist "%PUBLIC%" copy /y lang\*.db "%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer">NUL 2>NUL
:Menu
echo.&echo 1.显示首屏热门影视推荐[默认]
echo.&echo 2.屏蔽首屏热门影视推荐[自选]
echo.&echo.
set /p a=输入数字回车：
if "%a%"=="1" Goto ShowHot
if "%a%"=="2" Goto HideHot
:ShowHot
del/f "%AppData%\Baidu\BaiduPlayer\Favourites">NUL 2>NUL
del/f "%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer\Favourites">NUL 2>NUL
SET E=完成!&GOTO MSGBOX
:HideHot
rd/s/q "%AppData%\Baidu\BaiduPlayer\Favourites"2>NUL
if not exist "%PUBLIC%" md "%AppData%\Baidu\BaiduPlayer"2>NUL
rd/s/q "%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer\Favourites"2>NUL
if not exist "%PUBLIC%" echo.>"%AppData%\Baidu\BaiduPlayer\Favourites" 2>NUL
if exist "%PUBLIC%" md "%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer"2>NUL
if exist "%PUBLIC%" echo.>"%UserProFile%\AppData\LocalLow\Baidu\BaiduPlayer\Favourites" 2>NUL
SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)&CLS&GOTO MENU